var __async = (__this, __arguments, generator) => {
  return new Promise((resolve2, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve2(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/index.ts
import { existsSync } from "fs";
import { resolve } from "path";
import AutoImport from "unimport/unplugin";
import Vue from "@vitejs/plugin-vue";
function pathsToAlias(srcDir, paths) {
  return Object.fromEntries(
    Object.entries(paths).map(([key, value]) => [
      key,
      resolve(srcDir, value[0])
    ])
  );
}
function getTsConfig(buildDir) {
  return __async(this, null, function* () {
    const { readTSConfig } = yield import("pkg-types");
    return yield readTSConfig(resolve(buildDir, "tsconfig.json"));
  });
}
function getTsConfigPaths(buildDir) {
  return __async(this, null, function* () {
    const { compilerOptions } = yield getTsConfig(buildDir);
    return compilerOptions == null ? void 0 : compilerOptions.paths;
  });
}
function getAlias(buildDir, srcDir) {
  return __async(this, null, function* () {
    return pathsToAlias(srcDir, yield getTsConfigPaths(buildDir));
  });
}
function src_default() {
  return __async(this, arguments, function* (opts = {}) {
    const { loadNuxt } = yield import("nuxt");
    const nuxt = yield loadNuxt(opts);
    const { buildDir, srcDir } = nuxt.options;
    yield nuxt.close();
    if (!existsSync(buildDir)) {
      const { runCommand } = yield import("nuxi");
      yield runCommand("prepare");
    }
    let autoImport = AutoImport;
    if ("default" in autoImport) {
      autoImport = autoImport.default;
    }
    return [
      Vue(),
      autoImport.vite({
        presets: [
          {
            package: resolve(buildDir, "imports.d.ts")
          }
        ]
      }),
      {
        name: "nuxt:vitest",
        config() {
          return __async(this, null, function* () {
            return {
              resolve: {
                alias: yield getAlias(buildDir, srcDir)
              },
              test: {
                deps: {
                  inline: ["nuxt/dist"]
                }
              }
            };
          });
        }
      }
    ];
  });
}
export {
  src_default as default
};
